The shop's SKUs with GMV, SKU orders and units sold for a window
GET
/api/public/v1/tik_tok_shop/analytics/sku_performanceConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id listTikTokShopSkuPerformance
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/analytics/sku_performance?start_date=2026-11-01&end_date=2026-11-01" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| start_date | query | string (date) | required |
| end_date | query | string (date) | required |
| page_size | query | integer | |
| page_token | query | string | |
| sort_field | query | string | One of gmvsku_ordersunits_sold |
| sort_order | query | string | One of ASCDESC |
| product_ids | query | string | |
| product_status | query | string | One of LIVEINACTIVEALL |
| currency | query | string | One of USDLOCAL |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| latestAvailableDate | string, nullable | |
| nextPageToken | string, nullable | |
| skus | array of object | |
| skus[].[].gmv | object, nullable | |
| skus[].[].gmv.amount | string, nullable | |
| skus[].[].gmv.currency | string, nullable | |
| skus[].[].productId | string, nullable | |
| skus[].[].skuId | string, nullable | |
| skus[].[].skuOrders | integer, nullable | |
| skus[].[].unitsSold | integer, nullable | |
| totalCount | integer, nullable |
Example
{
"latestAvailableDate": "string",
"nextPageToken": "string",
"skus": [
{
"gmv": {
"amount": "string",
"currency": "usd"
},
"productId": "string",
"skuId": "string",
"skuOrders": 3,
"unitsSold": 3
}
],
"totalCount": 3
}Errors: 400401404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.